# Main
Date: 2020-04-18

me.legofreak107.vehiclesplus

## Class Main

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - me.legofreak107.vehiclesplus.Main

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter, org.bukkit.command.TabExecutor, org.bukkit.plugin.Plugin

    public final class Main
    extends org.bukkit.plugin.java.JavaPlugin

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDisable()` Plugin disable
`void` `onEnable()` Plugin enable

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, isEnabled, isNaggable, onCommand, onLoad, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.plugin.Plugin

`getSLF4JLogger`

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### onEnable

    public void onEnable()

Plugin enable

Specified by:
  `onEnable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

#### onDisable

    public void onDisable()

Plugin disable

Specified by:
  `onDisable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onDisable` in class `org.bukkit.plugin.java.JavaPlugin`